apps/pro/ui/config/routes.rb
begin
  # Try Pro::Application first as it won't autoload, so if it doesn't raise a NameError, then this must be called
  # from pro/ui
  engine = Pro::Application
rescue NameError
  # Used in metasploit-pro-engine and metamodules specs
  engine = Metasploit::Pro::UI::Engine
end

#change
engine.routes.draw do
  get "/campaign_files/:id" => "social_engineering/files#download"

  # The RESTful API
  namespace :rest_api do
    namespace :v1 do
      get "/base/" => "base#index"

      namespace :social_engineering do
        resources :target_lists
        resources :human_targets

        resources :campaigns do
          resources :web_pages
          resources :emails
          resources :email_openings
          resources :phishing_results
          resources :visits
        end
      end
    end
    namespace :v2 do
      get "/base/" => "base#index"

      namespace :social_engineering do
        resources :target_lists
        resources :human_targets
      end

      resources :workspaces, only: [:index, :show] do
        resources :campaigns, only: [:index, :show], controller: 'social_engineering/campaigns' do
          resources :web_pages, only: [:index, :show], controller: 'social_engineering/web_pages'
          resources :emails, only: [:index, :show], controller: 'social_engineering/emails'
          resources :email_openings, only: [:index, :show], controller: 'social_engineering/email_openings'
          resources :phishing_results, only: [:index, :show], controller: 'social_engineering/phishing_results'
          resources :visits, only: [:index, :show], controller: 'social_engineering/campaigns/visits'
        end
        resources :hosts, only: [:index, :show] do
          resources :sessions, only: [:index, :show]
          resources :notes, only: [:index, :show]
          resources :services, only: [:index, :show] do
            resources :vulns, only: [:index, :show]
            resources :web_sites, only: [:index, :show] do
              resources :web_forms, only: [:index, :show]
              resources :web_pages, only: [:index, :show]
              resources :web_vulns, only: [:index, :show]
            end
          end
        end
      end
    end
  end

  # Wizards
  namespace :wizards do
    namespace :quick_pentest do
      resources :form
    end
    namespace :quick_web_app_scan do
      resources :form
    end
    namespace :vuln_validation do
      resources :form do
        collection do
          get  :nexpose_sites
          get  :import_run
          post :continue_exploitation
        end
      end
    end
    namespace :payload_generator do
      resources :form do
        collection do
          get :poll
          get :download
          get :upsell
        end
      end
    end
  end

  # Notifications
  namespace :notifications do
    resources :messages do
      collection do
        post 'mark_read' => 'messages#mark_read', :as => 'mark_read'
        get 'poll' => 'messages#poll', :as => 'poll'
      end
    end
  end

  # Setup & Licenses
  scope "/setup" do
    get ""           => "licenses#setup", :as => "setup"
    get "request"    => "licenses#request_key", :as => "request_key"
    get "activation" => "licenses#activation", :as => "activation"
  end

  scope "/licenses" do
    get ""        => "licenses#index",    :as => "licenses"
    post "register" => "licenses#register", :as => "register"
    post "activate" => "licenses#activate", :as => "activate"
    match "offline_activation" => "licenses#offline_activation", :as => "offline_activation", :via => [:get, :post]
  end

  # Updates
  scope "/updates" do
    get ""             => "updates#updates", :as => "updates"
    post "check"         => "updates#check"
    post "apply"         => "updates#apply"
    post "restart"       => "updates#restart"
    post "status"        => "updates#status"
    get  "offline_apply" => "updates#offline_apply"
    post "offline_apply_post" => "updates#offline_apply_post", :as => 'updates_offline_apply_post'
  end

  # NeXpose Consoles
  resources :nexpose_consoles do
    collection do
      delete "/destroy" => "nexpose_consoles#destroy", :as => "destroy"
    end
  end

  # API Keys
  resources :api_keys do
    collection do
      delete "/destroy" => "api_keys#destroy", :as => "destroy"
    end

    member do
      post "/reveal" => "api_keys#reveal"
    end
  end



  # Macros
  resources :macros
  scope "/macro" do
    delete ":id/delete_action/:action_id" => "macros#delete_action", :as => "macro_delete_action"
    delete ":id/delete_action" => "macros#delete_action", :as => "macro_delete_actions"
    post ":id/add_action" => "macros#add_action", :as => "macro_add_action"
    match "module_options" => "macros#module_options", :as => "module_options", via: [:get, :post]
  end
  delete "macros" => "macros#destroy", :as => "delete_macros"


  # Listeners
  resources :listeners
  scope "/listener" do
    post ":id/stop" => "listeners#stop", :as => "listener_stop"
    post ":id/start" => "listeners#start", :as => "listener_start"
    get "module_options" => "listeners#module_options", :as => "macro_module_options"
  end
  delete "listeners" => "listeners#destroy", :as => "delete_listeners"


  # Global Settings
  scope "/settings" do
    get "" => "settings#index", :as => "settings"
    patch "update_profile" => "settings#update_profile", :as => "update_profile"
    put "update_profile" => "settings#update_profile"
  end


  # Mdm::User settings
  resources :users

  get "login" => "user_sessions#new", :as => "login"
  get "logout" => "user_sessions#destroy", :as => "logout"

  resources :user_sessions

  # Workspaces
  get "/workspaces/search" => "workspaces#search"
  delete "/workspaces/destroy" => "workspaces#destroy"

  # Wizard related reporting routes
  get '/wizard_report_tab' => 'reports#form_for_tabbed_modal', :as => 'wizard_report_tab_form'

  resources :workspaces do
    get "sessions" => "sessions#index"
    get "events" => "events#index"
    get "web" => "web#index"

    resources :imports, only: [:new]


    # Reports and Exports
    # Standard reports
    resources :reports do
      collection do
        post  "validate_report" => "reports#validate_report", :as=> "validate_report"
        # Wrapper to allow all the other report partials
        # to be reloaded once type is selected:
        get :form_for_type
        delete :destroy_multiple
      end
      member do
        get :clone
        post :generate_format
        post :format_generation_status
      end

      # Generated report files
      resources :report_artifacts, only: [:destroy, :index] do
        member do
          get :download
          get :view
        end

        collection do
          post :email
        end
      end
    end

    # Outside of reports to avoid dealing with report IDs unnecessarily:
    get 'report_artifact_download/(:id)',       to: 'report_artifacts#download'
    get 'report_artifact_view/:id',             to: 'report_artifacts#view'

    # Custom reports
    resources :custom_reports, { :controller => :reports }

    # Resources for custom reports: logos, templates
    resources :report_custom_resources

    # Example simple template
    get 'report_template_simple_download',      to: 'reports#download_simple_sample'

    resources :exports do
      member do
        get 'download' => 'exports#download'
      end
      collection do
        delete :destroy_multiple
      end
    end

    resources :task_chains, except: [:show] do
      collection do
        post "validate_schedule" => 'task_chains#validate_schedule', :as => 'validate_schedule'
        post "validate" => 'task_chains#validate', :as=>'validate'
        delete :destroy_multiple
        post   :stop_multiple
        post   :suspend_multiple
        post   :resume_multiple
        post   :start_multiple
      end

      member do
        get :clone
      end
    end

    namespace :fuzzing do
      resources :fuzzing do
        resources :request_groups
      end
    end

    namespace :nexpose do
      namespace :result do
        # fixme: CHANGE TO POST TO PREVENT CSRF.
        get 'push_validations' => 'exceptions#push_validations'
        resources :exceptions, only: [:create, :show, :update]
        resources :validations, only: [:create, :show, :update]
      end
      namespace :data do
        resources :sites, only: [:index] do
          collection {
            get :search_operators
            get :filter_values
          }
        end
        resources :import_runs, only:[:create,:show]
      end
    end


    # NEW STYLE!
    # Social Engineering Campaigns
    namespace :social_engineering do
      resources :human_targets

      resources :web_templates, except: [:delete] do
        collection do
          post :clone_proxy
          delete "" => "web_templates#destroy", :as => "delete"
        end
      end

      resources :email_templates, except: [:delete]  do
        collection do
          delete "" => "email_templates#destroy", :as => "delete"
        end
      end

      resources :target_lists, except: [:delete]  do
        get "export" => "target_lists#export"
        post "remove_targets" => "target_lists#remove_targets"
        collection do
          delete "" => "target_lists#destroy", :as => "delete"
        end
      end

      resources :files, except: [:delete]  do
        collection do
          delete "" => "files#destroy", :as => "delete"
        end
      end

      # ------ Campaigns, components, and tracking data -----
      resources :campaigns do

        resource :web_server_config, {
            :only => [:edit, :update],
            :controller => :web_server_config
        }
        resource :email_server_config, {
            :only => [:edit, :update],
            :controller => :email_server_config
        } do
          collection do
            match :check_smtp, via: [:put, :patch]
          end
        end

        resources :visits

apps/pro/ui/app/helpers/vulns_helper.rb
module VulnsHelper
	# Generate the markup for the Mdm::Vuln's row checkbox.
	#
	# vuln - The Mdm::Vuln to fetch the attribute from.
	#
	# Returns the String markup html, escaped for json.
	def vuln_host_checkbox_tag(vuln, opts={})
		markup = ""
		unless opts[:no_host]
			markup += check_box_tag("host_ids[]", vuln.host.id, false, :id => nil, :class => 'hosts')
		end
		class_name = if opts[:no_host] then '' else 'invisible' end
		markup += check_box_tag("vuln_ids[]", vuln.id, false, :id => nil, :class => "#{class_name} vulns")
		markup += "<div class='invisible'>"
		unless opts[:no_host]
			vuln.host.tags.each do |tag|
				markup += tag_html(tag)
			end
		end
		markup += "</div>"
		markup.to_json.html_safe
	end

	# Output the markup to display a ref's name as either a text field or a
	# plaintext, depending upon whether it appears on the new or edit views.
	#
	# ref  - The Mdm::Ref being displayed.
	# form - The FormBuilder instance for the Mdm::Ref's form.
	#
	# Returns the String markup.
	def ref_name_field(ref = nil, form = nil)
		if controller.action_name == 'edit'
			ref.name
		else
			form.text_field :name
		end
	end

	# Generate the markup for the Mdm::Vuln's Mdm::Host's name.
	#
	# vuln - The Mdm::Vuln to fetch the Mdm::Host's attribute from.
	#
	# Returns the String markup html, escaped for json.
	# TODO: Abstract this. It's used in several of the Analysis tab views.
	def vuln_host_name_html(vuln)
		raw_name = vuln.host.name
		# if the hostname was populated from a wildcard cert, we don't want
		#   to see a huge list of e.g. *.metasploit.com
		name_is_safe = raw_name.present? && !raw_name.starts_with?("*")
		name = name_is_safe ? (json_data_scrub(raw_name)) : vuln.host.address
		link_to(name, vuln.host).to_json.html_safe
	end

	# Generate the markup for the Mdm::Vuln name.
	#
	# vuln - The Mdm::Vuln to fetch the attribute from.
	#
	# Returns the String markup html, escaped for json.
	def vuln_name_html(vuln)
		name = h(json_data_scrub(vuln.name))
		link_to(name, workspace_vuln_path(@workspace, vuln)).to_json.html_safe
	end

  #TODO: This makes me :-(. See if we can if we rework this to not use N+1 queries
	def vuln_status_html(vuln, params)
    if params[:automatic_exploitation_run_id]
      exploitation_run_id = params[:automatic_exploitation_run]
    else
      run = MetasploitDataModels::AutomaticExploitation::Run.where(workspace_id: params[:workspace_id]).last
      exploitation_run_id = run.nil? ? nil : run.id
    end

    match_table = MetasploitDataModels::AutomaticExploitation::Match.arel_table
    vuln_table = Mdm::Vuln.arel_table

    vuln_join = match_table.join(vuln_table).on(match_table[:matchable_type].eq("Mdm::Vuln").
                                                    and(match_table[:matchable_id].eq(vuln_table[:id])))

    match_success = MetasploitDataModels::AutomaticExploitation::Match.joins(vuln_join.join_sources, :match_results).
        where(automatic_exploitation_match_results: {state: "succeeded", run_id: exploitation_run_id }, matchable_id: vuln.id).first

    match_fail = MetasploitDataModels::AutomaticExploitation::Match.joins(vuln_join.join_sources, :match_results).
        where(automatic_exploitation_match_results: {state: "failed", run_id: exploitation_run_id}, matchable_id: vuln.id).first

    unless match_success.nil?
      status = "<div data-status='exploited'>Exploited</div>"
    else
      unless match_fail.nil?
        status = "<div data-status='not_exploited'>Not Exploited</div>"
      end
    end

    if match_success.nil? and match_fail.nil?
      status = "<div data-status='not_exploitable'>Not Tested</div>"
    end

    last_vuln_attempt = vuln.vuln_attempts.last

    if !last_vuln_attempt.nil? && !last_vuln_attempt.last_fail_reason.nil?
      status = "<div data-status='not_exploited'>Not Exploitable</div>"
    end

    if !last_vuln_attempt.nil?  && last_vuln_attempt.last_fail_reason.nil? && last_vuln_attempt.exploited == false
      status = "<div data-status='not_exploitable'>Exploit Attempted</div>"
    end




    return status.to_json.html_safe
  end


	# Generate the markup for the Mdm::Vuln's refs.
	#
	# vuln - The Mdm::Vuln to fetch the relationship from.
	#
	# Returns the String markup html, escaped for json.
	def vuln_refs_html(vuln)
		refs = vuln.refs
		pref = [ "CVE", "OSVDB", "BID", "NEXPOSE" ]

		tbl = ""
		ref = nil
		pref.each do |rt|
			ref = refs.select{|r| r.name.index(rt+"-") == 0 }.first
			break if ref
		end

		ref ||= refs.first

		if ref
			ref_link = link_for_ref(*ref.link_info)

			tbl = "<div class='full-ref-map invisible'>"
			tbl += "<h2>#{h vuln.name}</h2><br/>"
			tbl += ref_map(refs, 3)
			tbl += "</div>"

			tbl << '<table width="100%">'
			tbl << "<tr><td>"
			tbl << ref_link

			if refs.length > 1
				tbl << " ("
				tbl << link_to("#{refs.length} Total", '', :class => 'full-ref-map-view')
				tbl << " )"
			end

			tbl << "</td></tr>"
			tbl << "</table>"
		else
			tbl = '<table width="100%"><tr><td>No references</td></tr></table>'
		end
		return tbl.to_json.html_safe
	end


	# Generate the markup for the Mdm::Vuln's attempt counter
	#
	# vuln - The Mdm::Vuln to fetch the relationship from.
	#
	# Returns the String markup html, escaped for json.
	def vuln_attempts_html(vuln)
		(
			case vuln.vuln_attempt_count
			when 0
				"&nbsp;"
			when 1
				"<img src='/assets/icons/silky/tick.png' title='Tested Once'>"
			else
				"<img src='/assets/icons/silky/tick.png' title='Tested #{vuln.vuln_attempt_count} Times'>"
			end
		).to_json.html_safe
	end

	# Generate the markup for the Mdm::Vuln's exploit counter
	#
	# vuln - The Mdm::Vuln to fetch the relationship from.
	#
	# Returns the String markup html, escaped for json.
	def vuln_exploits_html(vuln)

		res = '&nbsp;'

		if vuln.exploited_at
			res = "<img src='/assets/icons/silky/exclamation.png' title='Exploited at #{vuln.exploited_at.to_s}'>"
		elsif vuln.vuln_attempt_count == 1
			res = "<img src='/assets/icons/silky/tick.png' title='Tested once'>"
		elsif vuln.vuln_attempt_count > 1
			res = "<img src='/assets/icons/silky/tick.png' title='Tested #{vuln.vuln_attempt_count} times'>"
		else
			res = "<img src='/assets/icons/silky/bullet_white.png' title='Untested'>"
		end

		res.to_s.to_json.html_safe
	end


	# Generate the markup for the Mdm::Vuln's exploit counter
	#
	# vuln - The Mdm::Vuln to fetch the relationship from.
	#
	# Returns the String markup html, escaped for json.
	def vuln_service_html(vuln)
		( vuln.service ? "#{vuln.service.port}/#{vuln.service.proto}" : "&nbsp;" ).to_json.html_safe
	end

	# Generate the markup for the Mdm::Vuln's refs count.
	#
	# vuln - The Mdm::Vuln to fetch the relationship from.
	#
	# Returns the String markup html, escaped for json.
	def vuln_host_count_html(vuln)
		link_to(vuln.host_count, workspace_vulns_path(@workspace, :search => vuln.name)).to_json.html_safe
	end
end

apps/pro/ui/app/views/vulns/_form.html.erb
<%= render "shared/error_messages", :target => @vuln %>

<%= f.inputs "Vulnerability Details" do -%>
	<%= f.input :name, :required => true, :input_html => { :size => 50 } %>
	<%= f.input :info, :required => false, :label => "Information", :input_html => { :size => 50 } %>
<% end -%>


<%= f.inputs "References" do -%>
	<div class='control-bar'>
		<span class='button'><%= link_to "Add Reference", '#', :class => "new", :id => 'add-reference' %></span>
	</div>

	<table class="list" id="references" style="width: 100%;">
		<thead>
			<tr>
				<th>Name</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<% @vuln.refs.each do |ref| -%>
			<% new_or_existing = ref.new_record? ? 'new' : 'existing' %>
			<% prefix = h "#{new_or_existing}_ref_attributes[]" %>

				<%= f.fields_for prefix, ref do |reference| %>
					<tr class="fields">
						<td><%= reference.text_field :name, :size => 60 %></td>
						<td class='delete'><%= link_to(icon('delete'), '#', :title => 'Delete Reference' ) %></td>
					</tr>
				<% end %>
			<% end -%>
		</tbody>
	</table>
<% end -%>

apps/pro/ui/app/views/vulns/_vuln_attempts.html.erb
<table class="sortable list" id="attempts-table">
  <thead>
    <tr>
      <th>Time</th>
      <th>User</th>
      <th>Exploit</th>
      <th>Result</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
  <% reset_cycle "rows" %>
  <% @vuln.vuln_attempts.each do |att| %>
    <tr>
      <td><%= att.module.to_s %></td>
      <td><%= att.username.to_s %></td>
      <td><%= att.exploited ? "Exploited" : "Failed: #{att.fail_reason}" %></td>
      <td width="30">
        <%= att.attempted_at.to_s %>
      </td>
    </tr>
  <% end %>
  </tbody>
</table>

apps/pro/ui/app/views/vulns/_vuln_attempts_tab.html.erb
<%= form_tag '',  :method => "POST", :id => 'new_module_run' do |f| %>
<%= hidden_field_tag 'host_ids[]', @vuln.host.id, :id => "host_ids_#{@vuln.host.id}_module" %>
<% end %>

<table class="sortable list" id="vuln-attempts-tbl">
	<thead>
		<tr>
			<th>Time</th>
			<th>User</th>
			<th>Exploit</th>
			<th>Result</th>
			<th>Detail</th>
		</tr>
	</thead>
	<tbody>
	<% reset_cycle "rows" %>
	<% @vuln.vuln_attempts.each do |att| %>
		<tr class="<%=h row_cycle %>">
			<td width="140">
				<%= att.attempted_at.strftime('%Y-%m-%d %H:%M:%S %z').to_s %>
			</td>
			<td><%= att.username.to_s %></td>
			<td><%= link_to h(att.module), "#", :class => "module-name", :module_fullname => att.module %></td>
			<td><%=
					att.exploited ? 
					( att.session_id ? 
						link_to("Exploited", session_history_path(@workspace, att.session_id)) :
						"Exploited"
					) : 
					"#{att.fail_reason.to_s.upcase}" 
			%></td>
			<td><%= truncate(att.fail_detail.to_s, :length => 60) %></td>
		</tr>
	<% end %>
	</tbody>
</table>


<script type="text/javascript" charset="utf-8">
  jQuery(document).ready(function () {
    window.moduleLinksInit('<%= new_module_run_path(@workspace.id, '') %>')
  });
</script>

apps/pro/ui/app/views/vulns/_vuln_exploits_tab.html.erb
<%= form_tag '',  :method => "POST", :id => 'new_module_run' do |f| %>
<%= hidden_field_tag 'host_ids[]', @vuln.host.id, :id => "host_ids_#{@vuln.host.id}_module" %>
<% end %>



<% @exploits.each do |exp| %>

<div class='details_header'>
<h1>
	<%= exp.mtype.capitalize %>: <%= exp.name %> ( <%= link_to h("Launch"), "#", :class => "module-name", :module_fullname => exp.fullname %> )
</h1>
</div>

<table class='details'>

<tr>
	<td class='field'>Description</td>
</tr>
<tr>
	<td class='value'>
		<pre class='verbose'><%= exp.description.split(/\s+/).map{|x| x.strip }.join(" ") %></pre>
	</td>
</tr>


<tr>
	<td class='field'>
		Module Details
	</td>
</tr>
<tr>
	<td class='value'>

<table class='nexpose_details'>

<%
	exp_fields = %W{ name fullname rank  disclosure_date privileged stance }

exp_fields.each do |k|
	next unless exp[k]

	kn = k.split('_').map{|x| x.capitalize }.join(" ")
%>
<tr>
	<td class='nexpose_field'>
		<%= kn %>
	</td>
	<td class='nexpose_value'>
<%=
		case k
		when 'rank'
			module_star_icons(exp.rank)
		when 'disclosure_date'
			exp[k].strftime('%Y-%m-%d')
		else
			exp[k]
		end
%>
	</td>
</tr>
<% end %>

</table>

	</td>
</tr>

</table>

<% end %>


<script type="text/javascript" charset="utf-8">
  jQuery(document).ready(function () {
    window.moduleLinksInit('<%= new_module_run_path(@workspace.id, '') %>')
  });
</script>

apps/pro/ui/app/views/vulns/_vulns.html.erb
<span id="vulns-path" class="invisible"><%= workspace_vulns_path(@workspace, :format => :json, :search => params[:search]) %></span>

    <span style="<%= if @automatic_exploitation_runs.count <= 1 then "visibility:hidden;" else ""  end %>">
      <%= label_tag :exploitation_run, 'Exploitation Run' %>
      <%= select_tag(:exploitation_run,options_from_collection_for_select(@automatic_exploitation_runs, 'id',:updated_at))  %>
    </span>

		<% if @automatic_exploitation_runs.count > 0 %>
      <% if License.get.supports_vuln_validation? %>
        <div class="btns">
          <div class="create-exception">
            <span class="btn"><%= link_to "Push Exploited Vulnerabilities", "javascript:void(0)" ,:class => :nexpose %></span>
          </div>
          <div class="create-exception dropdown">
            <div class="dropdown-list">
              <ul>
                <li class="non-exploited">All Not Exploited</li>
                <li class="all">All Selected</li>
              </ul>
            </div>
                <span class="btn">
                  <%= link_to "Create Exception", "javascript:void(0)", :class=> :dropdown %>
                </span>
            <div class="arrow">
                  <span class="btn">
                    <%= link_to "&#9660;".html_safe, "javascript:void(0)", :class=> :dropdown %>
                  </span>
            </div>
          </div>
        </div>
      <% else %>
        <div class="buttons" style="text-align: right;">
        <span class="btn">
          <%= submit_checkboxes_to "Nexpose Exceptions", new_nexpose_exception_push_path(@workspace), { :class => "nexpose" } %>
        </span>
        </div>
      <% end %>
		<% end %>

<% if License.get.supports_vuln_validation? %>
  <table id="vulns-table" class="list sortable vuln-validation">
<% else %>
  <table id="vulns-table" class="list sortable">
<% end %>
	<thead>
		<tr>
			<th class="checkbox"><%= check_box_tag "all_vulns", false %></th>
			<th>Host</th>
			<th>Service</th>
			<th>Name</th>
      <% if License.get.supports_vuln_validation? %>
			  <th>Nexpose Test Status</th>
      <% else %>
        <th><img src='/assets/icons/silky/shield.png' title='Defended'></th>
      <% end %>
			<th>References</th>
		</tr>
	</thead>
	<tbody id="vuln_list">
	</tbody>
</table>

apps/pro/ui/app/views/vulns/_vulns_combined.html.erb
<span id="vulns-combined-path" class="invisible"><%= combined_workspace_vulns_path(@workspace, :format => :json) %></span>

<table id="vulns-table" class="list sortable">
	<thead>
		<tr>
      <th class="checkbox"><%= check_box_tag "all_vulns", false %></th>
			<th>Name</th>
			<th>References</th>
			<th>Hosts</th>
		</tr>
	</thead>
	<tbody id="vuln_list">
	</tbody>
</table>

apps/pro/ui/app/views/vulns/combined.html.erb
<% title "Vulnerabilities" %>
<% breadcrumb workspace_link, vulns_link %>


<% include_javascript "jquery.watch" -%>
<% include_javascript "dataTables.filteringDelay" -%>
<% include_view_javascript -%>


<%= form_remote_tag :url => destroy_multiple_groups_workspace_vulns_path(@workspace), :method => :post, :html => {:id => 'table-form', :class => 'vulns_combined'} do %>
  <%= render :partial => 'shared/analysis_tabs' %>
    <div class='tab_panel'>
    <div class="control-bar-items">
      <span class="button"><%= link_to "Individual View", workspace_vulns_path(@workspace), :class => 'multiple' %></span>
      <span class="button any"><%= submit_to_remote "delete", "Delete", :url => destroy_multiple_groups_workspace_vulns_path(@workspace), :html => { :class => "delete" }, :method => :delete, :confirm => "Delete ALL vulns in the selected groups?" %></span>
    </div>
    <div id="vulns-table-wrapper">
      <%= render :partial => "vulns_combined" %>
    </div>
  </div>
<% end %>

apps/pro/ui/app/views/vulns/destroy.js.erb
jQuery("#<%= dom_id(@vuln) %>").fadeOut();

apps/pro/ui/app/views/vulns/index.html.erb
<% title "Vulnerabilities" %>
<% breadcrumb workspace_link, vulns_link %>

<meta name='vuln_validation' content='<%= License.get.supports_vuln_validation?.to_s %>' />
<% include_stylesheet "vulns/vulns" %>
<% include_javascript "jquery.watch" -%>
<% include_javascript "dataTables.filteringDelay" -%>
<% include_view_javascript -%>

<%= form_tag '', :method => :post, :id => 'table-form', :class => 'hosts' do %>
  <div class="control-bar-items">
    <span class="button"><%= link_to "Grouped View", combined_workspace_vulns_path(@workspace), :class => 'single' %></span>
    <div class='separator'></div>
    <span class="button any"><%= submit_to_remote "delete", "Delete Vulnerabilities", :url => destroy_multiple_workspace_vulns_path(@workspace), :html => { :class => "delete" }, :method => :delete, :confirm => "Delete selected vulns?" %></span>
    <%= render :partial => 'shared/host_selection_control_bar_items' %>
    <div class="control-right">
      <span class="button"><a href='#' class='search'>&raquo;</a></span>
    </div>
  </div>

  <%= render :partial => 'shared/analysis_tabs' %>

  <div id="vulns-table-wrapper">
    <div class='tab_panel'>
      <%= render :partial => "vulns" %>
    </div>
  </div>
<% end -%>

<%= render :partial => 'shared/tagging_dialog' %>